// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011-2013 Peter Althainz
// 
// The files are part of HGamer3D (www.hgamer3d.org)
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// ClassArchiveManager.h

// 

#include "wchar.h"
#ifndef _DEFINED_HG3D_ClassArchiveManager
#define _DEFINED_HG3D_ClassArchiveManager

#include "ClassPtr.h"
#include "ClassArchive.h"



// 
void ogre_archm_destruct(struct hg3dclass_struct * thisclass_c);

// 
void ogre_archm_load(struct hg3dclass_struct * thisclass_c, char * filename_c, char * archiveType_c, struct hg3dclass_struct * result_c);

// 
void ogre_archm_unload(struct hg3dclass_struct * thisclass_c, struct hg3dclass_struct * arch_c);

// 
void ogre_archm_unload2(struct hg3dclass_struct * thisclass_c, char * filename_c);

// 
void ogre_archm_getSingleton(struct hg3dclass_struct * result_c);

// 
void ogre_archm_getSingletonPtr(struct hg3dclass_struct * result_c);

#endif 
